Skip to main content
PUT
/
api
/
knowledge-items
/
{id}
Update KnowledgeItem
curl --request PUT \
  --url https://platform.kodexa.ai/api/knowledge-items/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "active": true,
  "attachmentContentHash": "<string>",
  "attachmentContentType": "<string>",
  "attachmentFileName": "<string>",
  "attachmentId": "<string>",
  "attachmentSize": 123,
  "attachmentUploadedAt": "2023-11-07T05:31:56Z",
  "attachmentUploadedBy": "<string>",
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "id": "<string>",
  "knowledgeItemType": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "name": "<string>",
    "options": {},
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "slug": "<string>",
    "supportsAttachment": true,
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "knowledgeItemTypeId": "<string>",
  "knowledgeSetId": "<string>",
  "knowledgeSetSlug": "<string>",
  "properties": {},
  "searchText": "<string>",
  "sequenceOrder": 123,
  "slug": "<string>",
  "title": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}
'
{
  "active": true,
  "attachmentContentHash": "<string>",
  "attachmentContentType": "<string>",
  "attachmentFileName": "<string>",
  "attachmentId": "<string>",
  "attachmentSize": 123,
  "attachmentUploadedAt": "2023-11-07T05:31:56Z",
  "attachmentUploadedBy": "<string>",
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "id": "<string>",
  "knowledgeItemType": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "name": "<string>",
    "options": {},
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "slug": "<string>",
    "supportsAttachment": true,
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "knowledgeItemTypeId": "<string>",
  "knowledgeSetId": "<string>",
  "knowledgeSetSlug": "<string>",
  "properties": {},
  "searchText": "<string>",
  "sequenceOrder": 123,
  "slug": "<string>",
  "title": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.kodexa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

A knowledge item is an individual piece of knowledge within a knowledge set.

active
boolean
attachmentContentHash
string | null
attachmentContentType
string | null
attachmentFileName
string | null
attachmentId
string | null
attachmentSize
integer<int64> | null
attachmentUploadedAt
string<date-time> | null
attachmentUploadedBy
string | null
changeSequence
integer<int32>
createdOn
string<date-time>
description
string
id
string
knowledgeItemType
object

A knowledge item type defines the kind of knowledge item.

knowledgeItemTypeId
string | null
knowledgeSetId
string | null
knowledgeSetSlug
string
properties
object
searchText
string
sequenceOrder
integer<int32> | null
slug
string
title
string
updatedOn
string<date-time>
uuid
string

Response

Updated KnowledgeItem

A knowledge item is an individual piece of knowledge within a knowledge set.

active
boolean
attachmentContentHash
string | null
attachmentContentType
string | null
attachmentFileName
string | null
attachmentId
string | null
attachmentSize
integer<int64> | null
attachmentUploadedAt
string<date-time> | null
attachmentUploadedBy
string | null
changeSequence
integer<int32>
createdOn
string<date-time>
description
string
id
string
knowledgeItemType
object

A knowledge item type defines the kind of knowledge item.

knowledgeItemTypeId
string | null
knowledgeSetId
string | null
knowledgeSetSlug
string
properties
object
searchText
string
sequenceOrder
integer<int32> | null
slug
string
title
string
updatedOn
string<date-time>
uuid
string